import java.util.*;

class Raining{
    private static Scanner sc = new Scanner(System.in);

    public static void main(String[] args){
        while(true){
            if(!sc.hasNextLine())
                break;
            String[] cards = readCards();
            int[] nodes = new int[cards.length];

            int cardIndex = 0;

            for(int i = 1; i < cards.length; i++) {
                for(int j = 1; j < cards.length; j++) {
                    if(i == j)
                        continue;

                    if(cards[i].charAt(1) == cards[j].charAt(1) || cards[i].charAt(0) == cards[j].charAt(0))
                        nodes[j]++;
                }
            }

            boolean possible = true;
            int countLow = 0;

            for(int i = 1; i < cards.length; i++) {
                if(nodes[i] == 0){
                    possible = false;
                    break;
                }
                if(nodes[i] == 1){
                    countLow++;
                    if(countLow > 2){
                        possible = false;
                        break;
                    }
                }
            }

            System.out.println(possible ? "YES" : "NO");
        }
    }

    private static String[] readCards(){
        return sc.nextLine().split(" ");
    }

}
