import java.util.*;

class Tribune {
    public static void main(String args[]) {
        Scanner in = new Scanner(System.in);
        while(true) {
            if(!in.hasNextInt())
                break;
            int n = in.nextInt();
            in.nextLine();

            String lines[] = new String[n];
            int rowSum[] = new int[n];
            int colSum[] = new int[n];

            for(int i = 0; i < n; i++) {
                lines[i] = in.nextLine();
                for (int j = 0; j < n; j++) {
                    int c = (int)lines[i].charAt(j);
                    rowSum[i] += c;
                    colSum[j] += c;
                }
            }

            int countA = 0;
            int valueA = 0;
            int countB = 0;
            int valueB = 0;
            for(int i = 0; i < n; i++) {
                if(countA == 0){
                    countA = 1;
                    valueA = rowSum[i];
                    continue;
                }
                if(rowSum[i] == valueA){
                    countA ++;
                }
                if(rowSum[i] != valueA){
                    countB += 1;
                    valueB = rowSum[i];
                }
            }

            int valueDiff = countA == 1 ? valueA : valueB;
            int valueOk = countA != 1 ? valueA : valueB;

            int row = 0;
            for(int i = 0; i < n; i++) {
                if(rowSum[i] == valueDiff){
                    row = i + 1;
                    break;
                }
            }
            int col = 0;
            for(int i = 0; i < n; i++) {
                if(colSum[i] == valueDiff){
                    col = i + 1;
                    break;
                }
            }
            int c = valueOk - valueDiff + (int)lines[row-1].charAt(col - 1);

            System.out.print(row);
            System.out.print(" ");
            System.out.print(col);
            System.out.print(" ");
            System.out.print((char)c);
            System.out.print("\n");
        }
    }
}
